_G.jit.util.funcinfo = detours:Add(_G.jit.util.funcinfo, function(func, pos)
    if detours.detours_to_original[func] then
        func = detours.detours_to_original[func]
    end

    return fnOriginal(func, pos)
end)

_G.jit.util.funck = detours:Add(_G.jit.util.funck, function(func, index)
    if detours.detours_to_original[func] then
        func = detours.detours_to_original[func]
    end

    return fnOriginal(func, index)
end)

_G.jit.funcbc = detours:Add(_G.jit.funcbc, function(func, pos)
    if detours.detours_to_original[func] then
        func = detours.detours_to_original[func]
    end

    return fnOriginal(func, pos)
end)

_G.jit.util.funcuvname = detours:Add(_G.jit.util.funcuvname, function(func, index)
    if detours.detours_to_original[func] then
        func = detours.detours_to_original[func]
    end

    return fnOriginal(func, index)
end)

_G.jit.attach = detours:Add(_G.jit.attach, function(callback, event)
    -- noop
end)
